Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyParameter

Field Summary
`String` | `name`
`GroovyType` | `type`
`String` | `typeName`

Constructor Summary
`SimpleGroovyParameter(String name)`

Method Summary
`boolean` | `isTypeAvailable()`
`String` | `name()`
`void` | `setType(GroovyType type)` for later class resolution *
`void` | `setTypeName(String typeName)`
`GroovyType` | `type()`
`String` | `typeName()`

Constructor Detail

### SimpleGroovyParameter

    public SimpleGroovyParameter(String name)

Method Detail

### isTypeAvailable

    public boolean isTypeAvailable()

### name

    public String name()

### setType

    public void setType(GroovyType type)

  for later class resolution *

### setTypeName

    public void setTypeName(String typeName)

### type

    public GroovyType type()

### typeName

    public String typeName()